#
# spec file for package python-pure-eval
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pure-eval
Version:        0.2.3
Release:        2.1
Summary:        Safely evaluate AST nodes without side effects
License:        MIT
URL:            https://github.com/alexmojaki/pure_eval
Source:         https://files.pythonhosted.org/packages/source/p/pure_eval/pure_eval-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 44}
BuildRequires:  %{python_module setuptools_scm >= 3.4.3}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Safely evaluate AST nodes without side effects

%prep
%autosetup -p1 -n pure_eval-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/pure_eval
%{python_sitelib}/pure_eval-%{version}.dist-info

%changelog
* Wed Jun 11 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- Explicitly list files and directories in %%files.
* Thu Jul 25 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 0.2.3
  * fix warning in test_cannot_subscript
  * add __version__ to __all__
  * test 3.13
  * Specify exports in `__all__` to prevent `pyright` errors
  * Explicitly remove the ctx attribute in copy_ast_without_context
  * Fix compatibility of check_copy_ast_without_context with Py 3.13b1
  * Check for __delete__ to detect data descriptors,
    as in https://github.com/python/cpython/pull/104517/files
  * fix job name
  * fix main branch in GHA
  * Update Python classifiers
  * Update release script
  * manual coveralls
  * GHAs v4
  * test 3.12
  * 3.11
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Tue Oct  4 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to Version 0.2.2
  Merge pull request #12 from alexmojaki/ensure_dict
    Ensure dict
* Fri Jan 14 2022 Matej Cepl <mcepl@suse.com>
- Initial effort to package pure-eval 0.2.1.
